<?php
class CModuleBase
{
	var $db;
	var $modules;
	var $module;
	
	function CModuleBase()
	{
		$this->db = new CDB();
		$this->modules = array();
	}
	
	function Init(){}
	
	function InitModule($module_id){}
	
	function GetSize()
	{
		return sizeof($this->modules);	
	}
	
	function ToJson()
	{
		return json_encode($this->modules);	
	}
	
	function ModuleToJson()
	{
			return json_encode($this->module);	
	}	
};

?> 